Bug 134933 - snmpd dies, maybe 802.1q related
snmpd dies, maybe 802.1q related
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 07:43 EDT by Ted Kaczmarek
Modified: 2015-01-04 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 16:38:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Porposed patch for 8021q (453 bytes, text/plain)
2004-10-07 16:07 EDT, Ted Kaczmarek
no flags Details

  None (edit)
Description Ted Kaczmarek 2004-10-07 07:43:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041003
Firefox/0.10

Description of problem:
snmpd dies on machine with 802.1q interface, dmesg logs shows it may
have been triggered bringing vlan interface in and out of promiscuous
mode. Ooops also logged in dmesg before it died.

Version-Release number of selected component (if applicable):
net-snmp-5.1.1-2 kernel-2.6.8-1.521

How reproducible:
Didn't try

Steps to Reproduce:
1.Create eth0.3 inteface, leave eth0 as ip 0.0.0.0
2. Collect snmpod data from machine
3. Capture packets on eth0.3
    

Actual Results:  See Oops in dmesg, then Trace from snmpd.

Expected Results:  snmpd does not die

Additional info:

Their are about 20 entries before this for promiscuous mode as well.
Machine is using e100 nic card driver.
00:09.0 Ethernet controller: Intel Corp. 82541GI/PI Gigabit Ethernet
Controller
        Subsystem: Intel Corp. PRO/1000 MT Desktop Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (63750ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d3000000 (32-bit, non-prefetchable)
        Region 1: Memory at d2800000 (32-bit, non-prefetchable)
[size=128K]
        Region 2: I/O ports at d000 [size=64]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [e4] PCI-X non-bridge device.
                Command: DPERE- ERO+ RBC=0 OST=0
                Status: Bus=0 Dev=0 Func=0 64bit- 133MHz- SCD- USC-,
DC=simple, DMMRBC=2, DMOST=0, DMCRS=0, RSCEM-
        Capabilities: [f0] Message Signalled Interrupts: 64bit+
Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000



eth0.3: dev_set_promiscuity(master, -1)
device eth0 left promiscuous mode
device eth0.3 left promiscuous mode
Unable to handle kernel NULL pointer dereference at virtual address
00000144
 printing eip:
1a925930
*pde = 00000000
Oops: 0002 [#1]
Modules linked in: snd_pcm_oss snd_pcm snd_page_alloc snd_timer
snd_mixer_oss snd soundcore md5 ipv6 parport_pc lp parport eeprom
w83781d i2c_sensor i2c_isa i2c_viapro i2c_core autofs4 sunrpc
iptable_filter ip_tables e1000 8021q microcode dm_mod uhci_hcd button
battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<1a925930>]    Not tainted
EFLAGS: 00010206   (2.6.8-1.521)
EIP is at e1000_read_phy_reg_ex+0x24/0x92 [e1000]
eax: 00000124   ebx: 08200000   ecx: 05f21ef6   edx: 00000000
esi: 18062cfc   edi: 05f21ef6   ebp: 05f21f30   esp: 05f21eb4
ds: 007b   es: 007b   ss: 0068
Process snmpd (pid: 1874, threadinfo=05f21000 task=09f02190)
Stack: 18062a80 05f21ee0 05f21ef0 1a923773 05f21ee0 1a9236e3 05f21ef0
1a8681f8
       ffffffa1 00008948 18062800 30687465 00000000 00000000 00000000
000030f0
       e7cd600c 00000000 00000000 18062800 00008948 ffffffed 05f21f30
0229f92f
Call Trace:
 [<1a923773>] e1000_mii_ioctl+0x76/0x18f [e1000]
 [<1a9236e3>] e1000_ioctl+0x0/0x1a [e1000]
 [<1a8681f8>] vlan_dev_ioctl+0x85/0xbe [8021q]
 [<0229f92f>] dev_ifsioc+0x304/0x310
 [<1a868173>] vlan_dev_ioctl+0x0/0xbe [8021q]
 [<0229faa7>] dev_ioctl+0x16c/0x28a
 [<022d377b>] udp_ioctl+0x0/0x190
 [<022d967b>] inet_ioctl+0x6e/0x73
 [<02296a84>] sock_ioctl+0x2f4/0x3aa
 [<021752d2>] sys_ioctl+0x29a/0x33c
 [<02160c5e>] sys_read+0x3c/0x62
Code: 89 58 20 31 db b8 de 46 03 00 e8 6e 3d 8b e7 8b 06 8b 50 20
  
I also simillar problem on another machine with earlier kernel, with 
8139too driver nic card.
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: CLEVO/KAPOK Computer: Unknown device 0400
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (8000ns min, 16000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at 2000
        Region 1: Memory at ec005000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Also ifconfig is hanging after this happens, shoudl I open up separate 
kernel bug or are these problem related? Will hit the net-snmp list
with these findings as well.
Comment 1 Ted Kaczmarek 2004-10-07 16:05:25 EDT
Please reassign to kernel. Will attach proposed patch that someone
provided me.
Comment 2 Ted Kaczmarek 2004-10-07 16:07:24 EDT
Created attachment 104914 [details]
Porposed patch for 8021q

Tommy Christensen get the credit for it.
Comment 3 Radek Vokal 2004-10-08 01:54:00 EDT
reassignig to kernel
Comment 4 Ted Kaczmarek 2004-11-24 11:11:08 EST
Looks fine on 2.6.9-1.681_FC3 with net-snmp-5.2.3-rc3 and
net-snmp-5.2.3-rc4 on my sager laptop and an Intel P3 clone. Let me
know if hardware details are of any value.

Note You need to log in before you can comment on or make changes to this bug.